| Home | Libraries | People | FAQ | More

## Function template operator==

boost::histogram::axis::operator== — Compare two variants.

## Synopsis

    // In header: <boost/histogram/axis/variant.hpp>

    template<class... Us, class... Vs>
      bool operator==(const variant< Us... > & u, const variant< Vs... > & v);

## Description

Return true if the variants point to the same concrete axis type and the types compare equal. Otherwise return false.